/*
 * JPPF.
 * Copyright (C) 2005-2013 JPPF Team.
 * http://www.jppf.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jppf.doc;

/**
 * 
 * @author Laurent Cohen
 */
public enum ParameterNames
{
  /**
   * Name for the source directory.
   */
  SOURCE_DIR,
  /**
   * Name for the destination directory.
   */
  DEST_DIR,
  /**
   * Name for the templates directory.
   */
  TEMPLATES_DIR,
  /**
   * Name for the file includes.
   */
  FILE_INCLUDES,
  /**
   * Name for the file excludes.
   */
  FILE_EXCLUDES,
  /**
   * Name for the directory includes.
   */
  DIR_INCLUDES,
  /**
   * Name for the directory excludes.
   */
  DIR_EXCLUDES,
  /**
   * Name for the recursive directory processing flag.
   */
  RECURSIVE
}
